# Created by pyp2rpm-0.4.2
%global pypi_name jsonschema

Name:           python-%{pypi_name}
Version:        3.2.0
Release:        %mkrel 2
Summary:        An implementation of JSON Schema validation for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/jsonschema
Source0:        https://pypi.io/packages/source/j/jsonschema/%{pypi_name}-%version.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(setuptools-scm)

%description
jsonschema is JSON Schema validator currently based on
http://tools.ietf.org/html/draft-zyp-json-schema-03

%package -n python3-%{pypi_name}
Summary:	An implementation of JSON Schema validation for Python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
jsonschema is JSON Schema validator currently based on
http://tools.ietf.org/html/draft-zyp-json-schema-03

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

# drop bundled egg-info
rm -rf jsonschema.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst COPYING
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{_bindir}/jsonschema


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 3.2.0-2.mga8
+ Revision: 1539712
- Mageia 8 Mass Rebuild

* Thu Dec 12 2019 daviddavid <daviddavid> 3.2.0-1.mga8
+ Revision: 1466051
- new version: 3.2.0

* Sun Sep 15 2019 tv <tv> 3.0.2-2.mga8
+ Revision: 1441424
- rebuild for python-3.8
- drop python2 subpkg

* Sat Aug 03 2019 daviddavid <daviddavid> 3.0.2-1.mga8
+ Revision: 1427105
- new version: 3.0.2
- make Python3 as the default binary

* Tue May 28 2019 zezinho <zezinho> 3.0.1-2.mga7
+ Revision: 1399321
- The 'functools32' distribution was not found and is required by jsonschema

* Fri Apr 19 2019 wally <wally> 3.0.1-1.mga7
+ Revision: 1393475
- new version 3.0.1

* Tue Jan 08 2019 tv <tv> 2.6.0-3.mga7
+ Revision: 1351630
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.6.0-2.mga7
+ Revision: 1289160
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 daviddavid <daviddavid> 2.6.0-1.mga7
+ Revision: 1236991
- new version: 2.6.0
- rename python-jsonschema to python2-jsonschema

* Sat Aug 05 2017 pterjan <pterjan> 2.5.1-3.mga7
+ Revision: 1135471
- Rebuild for python 3.6

* Sat Apr 16 2016 philippem <philippem> 2.5.1-2.mga6
+ Revision: 1003110
- avoid dependency on functools32, vcversioner

* Sat Apr 16 2016 philippem <philippem> 2.5.1-1.mga6
+ Revision: 1003067
- update to 2.5.1

* Fri Feb 19 2016 umeabot <umeabot> 2.4.0-2.mga6
+ Revision: 970582
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 2.4.0-1.mga6
+ Revision: 887224
- rebuild for python 3.5
- use new python macros
- add missing BuildRequires on python-setuptools
+ joequant <joequant>
- upgrade to 2.4.0

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-6.mga6
+ Revision: 743130
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.0-5.mga5
+ Revision: 728873
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-4.mga5
+ Revision: 688102
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.1.0-3.mga5
+ Revision: 628728
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.1.0-2.mga4
+ Revision: 545017
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 philippem <philippem> 2.1.0-1.mga4
+ Revision: 500637
- Update to 2.1.0, add Python 3

* Tue Oct 15 2013 pterjan <pterjan> 0.7-3.mga4
+ Revision: 498791
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.7-2.mga3
+ Revision: 379031
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 neoclust <neoclust> 0.7-1.mga3
+ Revision: 340229
- New version

* Sun Nov 04 2012 neoclust <neoclust> 0.2-2.mga3
+ Revision: 314212
- imported package python-jsonschema


* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 23 2012 Pádraig Brady <P@draigBrady.com> - 0.2-1
- Initial package.
